/* Config.h */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

/* Uncomment this to get a lot of debug messages in console */
//#define DEBUG

/*
 * Standard gettext macros.
 */
#ifdef ENABLE_NLS
//#warning "ENABLE_NLS\n"
#  include <libintl.h>
#  undef _
#  define _(String) dgettext (PACKAGE, String)
#  ifdef gettext_noop
#    define N_(String) gettext_noop (String)
#  else
#    define N_(String) (String)
#  endif
#else
//#warning "no NLS\n"
#  define textdomain(String) (String)
#  define gettext(String) (String)
#  define dgettext(Domain,Message) (Message)
#  define dcgettext(Domain,Message,Type) (Message)
#  define bindtextdomain(Domain,Directory) (Domain)
#  define _(String) (String)
#  define N_(String) (String)
#endif

const gchar *kf_find_file (const gchar *name);
const gchar *kf_config_file (const gchar *name);

/* Prototypes for Glade */
#ifdef GLADE_H
gint kf_signal_connect (GladeXML *glade, const gchar *name, const gchar *signal, GCallback callback,
		gpointer data);
void   kf_close_button                     (GtkWidget *button,
                                            gpointer user_data);
void kf_destroy_toplevel (GtkWidget *button, gpointer data);
#endif

/* Debug macros */
#ifdef DEBUG
#  define foo_debug(args...) g_print (args)
#else
#  define foo_debug(args...) (args)
#endif

/* For passing strings that may contain NULL. Cool, isn't it? */
#define ISEMPTY(str) (str?str:"")

